#! /bin/bash

PKGNAME="LaTeX_Worksheets-$(date +'%m.%d.%y').zip"

ALLFILES=0

if [ "$1" == "-a" ]; then
    PKGNAME="LaTeX_Worksheets_allfiles-$(date +'%m.%d.%y').zip"
    ALLFILES=1
    shift
fi

CONFIGFILE="${1:-config}"

if [ ! -f "./files/$CONFIGFILE" ]; then
    echo "Configuration file ./files/$CONFIGFILE not found"
    exit 1;
fi

# else
echo "Regenerating worksheets"
./scripts/generate.sh "$CONFIGFILE"
./scripts/index.sh "$CONFIGFILE"

FILELIST="index.html css/*.css js/*.js worksheets/Worksheet*.html images/*.png"

if [ $ALLFILES -eq 1 ]; then
    FILELIST="$FILELIST scripts/*.sh files/$CONFIGFILE files/README files/*.tex files/*.txt pkg.sh"
fi

#echo "$PKGNAME" "$FILELIST"
zip $PKGNAME $FILELIST

exit 0;

